Page MenuHomeFreeBSD

print/freetype2: Handle WITH_DEBUG plist changes
ClosedPublic

Authored by jrm on Jul 4 2022, 7:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jul 2, 11:45 PM
Unknown Object (File)
Thu, Jun 20, 11:59 AM
Unknown Object (File)
May 31 2024, 8:51 AM
Unknown Object (File)
May 23 2024, 1:30 AM
Unknown Object (File)
May 19 2024, 3:43 PM
Unknown Object (File)
May 15 2024, 10:59 PM
Unknown Object (File)
May 15 2024, 10:59 PM
Unknown Object (File)
May 15 2024, 9:48 PM
Subscribers

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm requested review of this revision.Jul 4 2022, 7:35 PM
tcberner requested changes to this revision.Jul 5 2022, 5:12 AM
tcberner added a subscriber: tcberner.

Probably nicer:

Makefile:

PLIST_SUB=DEBUG_SUFFIX=${WITH_DEBUG:Dd}

plist:

lib/libfreetype%%DEBUG_SUFFIX%%.so
lib/libfreetype%%DEBUG_SUFFIX%%.so.6
lib/libfreetype%%DEBUG_SUFFIX%%.so.6.18.3
This revision now requires changes to proceed.Jul 5 2022, 5:12 AM

Probably nicer:

Makefile:

PLIST_SUB=DEBUG_SUFFIX=${WITH_DEBUG:Dd}

plist:

lib/libfreetype%%DEBUG_SUFFIX%%.so
lib/libfreetype%%DEBUG_SUFFIX%%.so.6
lib/libfreetype%%DEBUG_SUFFIX%%.so.6.18.3

Agreed. We need += though.

Use PLIST_SUB to handle suffix added to shared library names when WITH_DEBUG is set.

Place PLIST_SUB in correct location

This revision is now accepted and ready to land.Jul 6 2022, 7:56 PM

Late to the party, but I am not sure this is the right way(tm).

I tend to replace installed libraries with their WITH_DEBUG=yes version to keep them working but to provide debug symbols.

Will apps be able to find libfreetype*.so after it is reinstalled WITH_DEBUG=yes? Maybe we should fix patching the upstream code to drop the "d" suffix altogether instead?

print/freetype2: Do not add debug suffix to shared libraries

This revision was not accepted when it landed; it landed in state Needs Review.Jul 18 2022, 5:54 PM
This revision was automatically updated to reflect the committed changes.